# Remove-RASEnrollmentServer.md

## NAME

Remove-RASEnrollmentServer

## SYNOPSIS

Removes an Enrollment server specified by its ID.

## SYNTAX

\*\*Remove-RASEnrollmentServer \[[Id](#id-string)] *(uint)* \[[NoUninstall](#nouninstall-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASEnrollmentServer -[Password](#password-string) *(SecureString)* -[Username](#username-string) *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASEnrollmentServer \[-[InputObject](#inputobject)] *(*[*EnrollmentServer*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/enrollmentserver.md)*)* \[[NoUninstall](#nouninstall-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASEnrollmentServer -[Password](#password-string) *(SecureString)* -[Username](#username-string) *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASEnrollmentServer \[[Server](#server-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[[NoUninstall](#nouninstall-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASEnrollmentServer -[Password](#password-string) *(SecureString)* -[Username](#username-string) *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

To remove an Enrollment server from a specific site, specify the -SiteId parameter.

## PARAMETERS

## Server (string)

The name of the enrollment server to remove from a site.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to remove the enrollment server.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the enrollment server.

To obtain the ID, use the Get-RASEnrollmentServer server cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## NoUninstall (SwitchParameter)

If this parameter is included, the RD Session Host agent will not be uninstalled from the server.

To uninstall the agent, omit this parameter.

When uninstalling the agent, your RAS admin credentials will be used by default.

You can specify different credentials if needed using the Username and Password parameters.

```
        Required?                    false

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Username (string)

An administrator account to remotely uninstall the RD Session Host agent from the server.

If this parameter is omitted, your RAS admin username (and password) will be used by default.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Password (SecureString)

The password of the account specified in the Username parameter.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject

([EnrollmentServer](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/enrollmentserver.md)) The enrollment server to remove from a site.

To obtain an object of type enrollment server, use the Get-RASEnrollment Server cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[EnrollmentServer](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/enrollmentserver.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Remove-RASEnrollmentServer -Id 10

Removes an Enrollment server by specifying its ID

## RELATED LINKS

* [New-RASEnrollmentServer](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasenrollmentserver.md)
* [Set-RASEnrollmentServer](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasenrollmentserver.md)
* [Get-RASEnrollmentServer](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasenrollmentserver.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasenrollmentserver.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
